# Enum XsdValidation.Result

java.lang.Object
java.lang.Enum<XsdValidation.Result>
uk.ac.starlink.ttools.taplint.XsdValidation.Result

All Implemented Interfaces:
  `Serializable, Comparable<XsdValidation.Result>, java.lang.constant.Constable`

Enclosing class:
  `XsdValidation`

public static enum XsdValidation.Result extends Enum<XsdValidation.Result>
Enumerates possible results of the parse.

Since:
  24 Sep 2018
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAILURE`
A serious error prevented the validation from completing.
`NOT_FOUND`
The document did not exist (for instance an HTTP 404).
`SUCCESS`
The validation completed, possibly with some errors or warnings.

## Method Summary

Modifier and Type
Method
Description
`static XsdValidation.Result`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static XsdValidation.Result[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT_FOUND

public static final XsdValidation.Result NOT_FOUND
The document did not exist (for instance an HTTP 404).

### FAILURE

public static final XsdValidation.Result FAILURE
A serious error prevented the validation from completing.

### SUCCESS

public static final XsdValidation.Result SUCCESS
The validation completed, possibly with some errors or warnings.

## Method Details

### values

public static XsdValidation.Result[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static XsdValidation.Result valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null